#ifndef MONQP_H_INCLUDED
#define MONQP_H_INCLUDED

#include <iostream>
#include <itpp/itbase.h>
#include <itpp/itstat.h>

#define DEB 0

#define PRT(x) std::cout << endl << #x " = '" << x << "'" << std::endl;
#define PRD(x) if (DEB) std::cout << endl << #x " = " << x << "" << std::endl;

#define MIN(X, Y)  ((X) < (Y) ? (X) : (Y))

using namespace std;
using namespace itpp;


// QP solver (same as monqp.m hopefully)
void mon_QP(const mat &H,const mat &c,const mat &A,const mat &b,const mat &C,const mat &xinit,mat &xnew,mat &lambda,mat &pos,mat &mu,double l=0,int verbose=0);



#endif // MONQP_H_INCLUDED
